Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/src/Decod_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/src/Decod_allocation.cpp	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/src/Decod_allocation.cpp	(revision 101)
@@ -23,9 +23,9 @@
   void Decod::allocation (
 #ifdef STATISTICS
-			       morpheo::behavioural::Parameters_Statistics * param_statistics
+                               morpheo::behavioural::Parameters_Statistics * param_statistics
 #else
-			       void
+                               void
 #endif
-			       )
+                               )
   {
     log_printf(FUNC,Decod,FUNCTION,"Begin");
@@ -34,9 +34,9 @@
 
     Entity * entity = _component->set_entity (_name       
-					      ,"Decod"
+                                              ,"Decod"
 #ifdef POSITION
-					      ,COMBINATORY 
+                                              ,COMBINATORY 
 #endif
-					      );
+                                              );
 
     _interfaces = entity->set_interfaces();
@@ -46,9 +46,9 @@
       Interface * interface = _interfaces->set_interface(""
 #ifdef POSITION
-							 ,IN
-							 ,SOUTH,
-							 "Generalist interface"
+                                                         ,IN
+                                                         ,SOUTH,
+                                                         "Generalist interface"
 #endif
-							 );
+                                                         );
       
       in_CLOCK        = interface->set_signal_clk              ("clock" ,1, CLOCK_VHDL_YES);
@@ -77,5 +77,5 @@
     }
 
-    // ~~~~~[ Interface : "decod" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	     
+    // ~~~~~[ Interface : "decod" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~           
     {
       ALLOC1_INTERFACE("decod", OUT, EAST, "Instructiont decoded", _param->_nb_inst_decod);
@@ -129,8 +129,9 @@
 
       ALLOC1_SIGNAL_IN (in_CONTEXT_DECOD_ENABLE,"decod_enable",Tcontrol_t,1);
+      ALLOC1_SIGNAL_IN (in_CONTEXT_DEPTH_VAL   ,"depth_val"   ,Tcontrol_t,1);
       ALLOC1_SIGNAL_IN (in_CONTEXT_DEPTH       ,"depth"       ,Tdepth_t  ,_param->_size_depth);
     }
 
-    // ~~~~~[ Interface : "context_event" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~	     
+    // ~~~~~[ Interface : "context_event" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~           
     {
       ALLOC_INTERFACE("context_event", OUT, NORTH, "context's evenement");
@@ -164,25 +165,25 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
     _priority = new generic::priority::Priority (_name+"_priority"      ,
-						 _param->_priority      ,
-						 _param->_load_balancing,
-						 _param->_nb_context    ,
-						 _param->_nb_inst_fetch ,
-						 _param->_nb_context_select);
+                                                 _param->_priority      ,
+                                                 _param->_load_balancing,
+                                                 _param->_nb_context    ,
+                                                 _param->_nb_inst_fetch ,
+                                                 _param->_nb_context_select);
 
     const uint32_t nb_opcod_type = 14;
     const uint32_t tab_opcod_type [] = {MAX_OPCOD_0,
-					MAX_OPCOD_1 ,
-					MAX_OPCOD_2 ,
-					MAX_OPCOD_3 ,
-					MAX_OPCOD_4 ,
-					MAX_OPCOD_5 ,
-					MAX_OPCOD_6 ,
-					MAX_OPCOD_7 ,
-					MAX_OPCOD_8 ,
-					MAX_OPCOD_9 ,
-					MAX_OPCOD_10,
-					MAX_OPCOD_11,
-					MAX_OPCOD_12,
-					MAX_OPCOD_13};
+                                        MAX_OPCOD_1 ,
+                                        MAX_OPCOD_2 ,
+                                        MAX_OPCOD_3 ,
+                                        MAX_OPCOD_4 ,
+                                        MAX_OPCOD_5 ,
+                                        MAX_OPCOD_6 ,
+                                        MAX_OPCOD_7 ,
+                                        MAX_OPCOD_8 ,
+                                        MAX_OPCOD_9 ,
+                                        MAX_OPCOD_10,
+                                        MAX_OPCOD_11,
+                                        MAX_OPCOD_12,
+                                        MAX_OPCOD_13};
     
     _function_decod  = new function_decod_t *** [_param->_nb_context];
